--
- name: Webarchitects templates present
  git:
    repo: https://git.coop/webarch/website-templates.git
    dest: /var/www/wsh
    update: true
  tags:
    - apache

- name: Debian default site disabled
  command: a2dissite 000-default
  register: apache_a2dissite_default
  changed_when: '"already disabled" not in apache_a2dissite_default.stdout'
  tags:
    - apache

- name: WSH Apache config in place
  template:
    src: templates/webarch.conf.j2
    dest: /etc/apache2/conf-available/webarch.conf
  tags:
    - apache
